<template>
  <q-layout view="lHh Lpr lFf">
    <q-header class="bg-pink-2 text-black glossy" elevated>
      <q-toolbar>
        <q-btn
          flat
          dense
          round
          icon="menu"
          aria-label="Menu"
          @click="toggleLeftDrawer"
        />

        <q-toolbar-title>MEC User Management System</q-toolbar-title>
      </q-toolbar>
    </q-header>

    <q-drawer v-model="leftDrawerOpen" show-if-above bordered>
      <p
        class="text-h5 text-left q-pl-md q-pt-lg q-pb-none q-mb-none text-pink-10 text-weight-bold"
      >
        Dashboard
      </p>
      <q-list class="q-pt-md">
        <EssentialLink
          v-for="link in essentialLinks"
          :key="link.title"
          v-bind="link"
        />
      </q-list>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
import { defineComponent, ref } from "vue";
import EssentialLink from "components/EssentialLink.vue";

const linksList = [
  {
    title: "List of Users",
    caption: "This is a caption",
    icon: "view_list",
    route_name: "list-of-users",
  },
  {
    title: "Add User",
    caption: "Add another user.",
    icon: "person_add",
    route_name: "add-user",
  },
];

export default defineComponent({
  name: "MainLayout",

  components: {
    EssentialLink,
  },

  setup() {
    const leftDrawerOpen = ref(false);

    return {
      essentialLinks: linksList,
      leftDrawerOpen,
      toggleLeftDrawer() {
        leftDrawerOpen.value = !leftDrawerOpen.value;
      },
    };
  },
});
</script>
